# Class ForkDTDHandler

java.lang.Object
com.thaiopensource.xml.sax.ForkDTDHandler

All Implemented Interfaces:
  `DTDHandler`

public class ForkDTDHandler extends Object implements DTDHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForkDTDHandler(DTDHandler dh1, DTDHandler dh2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notationDecl(String name, String publicId, String systemId)`
  `void`
  `unparsedEntityDecl(String name, String publicId, String systemId, String notationName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForkDTDHandler

    public ForkDTDHandler(DTDHandler dh1, DTDHandler dh2)

- ## Method Details

  - ### notationDecl

    public void notationDecl(String name, String publicId, String systemId) throws SAXException
    Specified by:
      `notationDecl` in interface `DTDHandler`
    Throws:
      `SAXException`

  - ### unparsedEntityDecl

    public void unparsedEntityDecl(String name, String publicId, String systemId, String notationName) throws SAXException
    Specified by:
      `unparsedEntityDecl` in interface `DTDHandler`
    Throws:
      `SAXException`